IOPCTL(8)

NAME
iopctl - a program to control IOP devices

SYNOPSIS
iopctl [-f ctldev] command [tid]

DESCRIPTION
The iopctl command can be used to interrogate and control I2O devices.

The following options are available:

-f ctldev
    Specify the control device to use. The default is /dev/iop0.

The following commands are available:

reconfig
    Reconfigure the IOP: ask all bus ports to rescan their busses, and attach or detach devices to and from the system as necessary.

showddmid tid
    Retrieve and display the DDM (device driver module) identity parameter group from the specified target.

showdevid tid
    Retrieve and display the device identity parameter group from the specified target.

showlct
    Display the driver's private copy of the logical configuration table. This copy of the LCT matches the current device configuration, but is not necessarily the latest available version of the LCT.

showstatus
    Display the current status of the IOP.

showtidmap
    Display the device to TID map.

FILES
/dev/iopu
    control device for IOP unit u

SEE ALSO
ioctl(2), iop(4), iopsp(4), ld(4)

The sysutils/i2ocfg package.

HISTORY
The iopctl command first appeared in NetBSD 1.5.3.